Bug 837121 - [abrt] gnome-shell-3.4.1-5.fc17: trace_foreach: Process /usr/bin/gnome-shell was killed by signal 11 (SIGSEGV)
[abrt] gnome-shell-3.4.1-5.fc17: trace_foreach: Process /usr/bin/gnome-shell ...
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: gnome-shell (Show other bugs)
17
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Owen Taylor
Fedora Extras Quality Assurance
abrt_hash:80c9bfd85c5e8166910f5154bd0...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-07-02 17:17 EDT by John H
Modified: 2013-08-01 02:47 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-08-01 02:47:29 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (30.43 KB, text/plain)
2012-07-02 17:17 EDT, John H
no flags Details
File: maps (94.15 KB, text/plain)
2012-07-02 17:17 EDT, John H
no flags Details
File: dso_list (23.47 KB, text/plain)
2012-07-02 17:17 EDT, John H
no flags Details

  None (edit)
Description John H 2012-07-02 17:17:13 EDT
libreport version: 2.0.10
abrt_version:   2.0.10
backtrace_rating: 4
cmdline:        /usr/bin/gnome-shell
comment:        What? Did something happen? When everything seems to be working ok this abrt applet pops up. When there's a real issue, it doesn't, sending me out there with Firefox to look in the forums for others having same issue.
crash_function: trace_foreach
executable:     /usr/bin/gnome-shell
kernel:         3.4.4-3.fc17.x86_64
pid:            7922
pwd:            /home/john
time:           Mon 02 Jul 2012 21:04:20 BST
uid:            1000
username:       john

backtrace:      Text file, 31162 bytes
dso_list:       Text file, 24030 bytes
maps:           Text file, 96405 bytes

cgroup:
:9:perf_event:/
:8:blkio:/
:7:net_cls:/
:6:freezer:/
:5:devices:/
:4:memory:/
:3:cpuacct,cpu:/
:2:cpuset:/
:1:name=systemd:/user/john/14

core_backtrace:
:23808f7ef4ed4cf97f9dc55d7f690e71bf589631 0x24800 - libgjs.so.0 -
:e5945f7dae3fc83ad499da1ea5a464bfa0e68202 0x38340 g_hash_table_foreach libglib-2.0.so.0 -
:23808f7ef4ed4cf97f9dc55d7f690e71bf589631 0x24901 - libgjs.so.0 -
:cf1bb78fe29e55a36a922c712f5a2404ec8e3272 0xee4b8 - libmozjs185.so.1.0 -
:cf1bb78fe29e55a36a922c712f5a2404ec8e3272 0xeec9a - libmozjs185.so.1.0 -
:cf1bb78fe29e55a36a922c712f5a2404ec8e3272 0xb0905 - libmozjs185.so.1.0 -
:cf1bb78fe29e55a36a922c712f5a2404ec8e3272 0xb08f4 - libmozjs185.so.1.0 -
:cf1bb78fe29e55a36a922c712f5a2404ec8e3272 0xb08f4 - libmozjs185.so.1.0 -
:cf1bb78fe29e55a36a922c712f5a2404ec8e3272 0xb6979 - libmozjs185.so.1.0 -
:cf1bb78fe29e55a36a922c712f5a2404ec8e3272 0xb9d27 - libmozjs185.so.1.0 -
:cf1bb78fe29e55a36a922c712f5a2404ec8e3272 0xba391 - libmozjs185.so.1.0 -
:fb339102a1f8532c110ac97acad8b87527bd1cfb 0x33fe1 - libgnome-shell.so -
:e5945f7dae3fc83ad499da1ea5a464bfa0e68202 0x476e5 g_main_context_dispatch libglib-2.0.so.0 -
:e5945f7dae3fc83ad499da1ea5a464bfa0e68202 0x47a18 - libglib-2.0.so.0 -
:e5945f7dae3fc83ad499da1ea5a464bfa0e68202 0x47e12 g_main_loop_run libglib-2.0.so.0 -
:a61bbdac22f47f204bdddbb1885afee8d400cfb3 0x540b7 meta_run libmutter.so.0 -
:05792ba8e5037b0a798ce87d3331dd3d455a5624 0x1c47 main [exe] -

environ:
:XDG_VTNR=2
:XDG_SESSION_ID=14
:HOSTNAME=Lenny
:IMSETTINGS_INTEGRATE_DESKTOP=yes
:SHELL=/bin/bash
:TERM=dumb
:HISTSIZE=1000
:GNOME_KEYRING_CONTROL=/run/user/john/keyring-OTY6qt
:QT_GRAPHICSSYSTEM_CHECKED=1
:IMSETTINGS_MODULE=none
:USER=john
:USERNAME=john
:MAIL=/var/spool/mail/john
:PATH=/usr/local/bin:/usr/bin:/bin:/usr/local/sbin:/usr/sbin:/home/john/.local/bin:/home/john/bin
:DESKTOP_SESSION=gnome
:QT_IM_MODULE=xim
:PWD=/home/john
:XMODIFIERS=@im=none
:GNOME_KEYRING_PID=7714
:LANG=en_GB.utf8
:GDM_LANG=en_GB.utf8
:GDMSESSION=gnome
:HISTCONTROL=ignoredups
:XDG_SEAT=seat0
:HOME=/home/john
:SHLVL=1
:LOGNAME=john
:DBUS_SESSION_BUS_ADDRESS=unix:abstract=/tmp/dbus-fBgHeNtu2c,guid=8a9880620e5173441f7ad2af0000921a
:'LESSOPEN=||/usr/bin/lesspipe.sh %s'
:WINDOWPATH=2
:XDG_RUNTIME_DIR=/run/user/john
:DISPLAY=:0
:XAUTHORITY=/var/run/gdm/auth-for-john-uSRuku/database
:_=/usr/bin/gnome-session
:GNOME_DESKTOP_SESSION_ID=this-is-deprecated
:SESSION_MANAGER=local/unix:@/tmp/.ICE-unix/7718,unix/unix:/tmp/.ICE-unix/7718
:SSH_AUTH_SOCK=/run/user/john/keyring-OTY6qt/ssh
:GPG_AGENT_INFO=/run/user/john/keyring-OTY6qt/gpg:0:1
:DESKTOP_AUTOSTART_ID=10b27d3860a9c6d33d134125945030118800000077180000

event_log:
:2012-07-02-22:07:44> Querying server settings
:2012-07-02-22:07:45  Preparing an archive to upload
:2012-07-02-22:07:51  Uploading 3 megabytes
:2012-07-02-22:08:02  Uploading 18%
:2012-07-02-22:08:12  Uploading 37%
:2012-07-02-22:08:24  Uploading 55%
:2012-07-02-22:08:34  Uploading 69%
:2012-07-02-22:08:46  Uploading 87%
:2012-07-02-22:08:52  Upload successful
:2012-07-02-22:08:59  Retrace job started
:2012-07-02-22:09:10  Initializing virtual root
:2012-07-02-22:09:21  Initializing virtual root
:2012-07-02-22:09:32  Initializing virtual root
:2012-07-02-22:09:43  Initializing virtual root
:2012-07-02-22:09:54  Initializing virtual root
:2012-07-02-22:10:05  Initializing virtual root
:2012-07-02-22:10:18  Initializing virtual root
:2012-07-02-22:10:29  Initializing virtual root
:2012-07-02-22:10:40  Initializing virtual root
:2012-07-02-22:10:51  Initializing virtual root
:2012-07-02-22:11:02  Initializing virtual root
:2012-07-02-22:11:12  Initializing virtual root
:2012-07-02-22:11:23  Initializing virtual root
:2012-07-02-22:11:34  Initializing virtual root
:2012-07-02-22:11:45  Initializing virtual root
:2012-07-02-22:11:56  Initializing virtual root
:2012-07-02-22:12:07  Initializing virtual root
:2012-07-02-22:12:18  Initializing virtual root
:2012-07-02-22:12:29  Initializing virtual root
:2012-07-02-22:12:41  Initializing virtual root
:2012-07-02-22:12:52  Initializing virtual root
:2012-07-02-22:13:04  Initializing virtual root
:2012-07-02-22:13:14  Initializing virtual root
:2012-07-02-22:13:25  Initializing virtual root
:2012-07-02-22:13:39  Initializing virtual root
:2012-07-02-22:13:50  Retrace job finished successfully
:2012-07-02-22:15:12> Element 'xsession_errors' saved
:2012-07-02-22:15:12> GConf directory /apps/gnome-shell does not exist
:2012-07-02-22:15:12* (exited with 1)
:2012-07-02-22:15:13> Smolt profile successfully saved

limits:
:Limit                     Soft Limit           Hard Limit           Units     
:Max cpu time              unlimited            unlimited            seconds   
:Max file size             unlimited            unlimited            bytes     
:Max data size             unlimited            unlimited            bytes     
:Max stack size            8388608              unlimited            bytes     
:Max core file size        0                    unlimited            bytes     
:Max resident set          unlimited            unlimited            bytes     
:Max processes             1024                 31399                processes 
:Max open files            1024                 4096                 files     
:Max locked memory         65536                65536                bytes     
:Max address space         unlimited            unlimited            bytes     
:Max file locks            unlimited            unlimited            locks     
:Max pending signals       31399                31399                signals   
:Max msgqueue size         819200               819200               bytes     
:Max nice priority         0                    0                    
:Max realtime priority     0                    0                    
:Max realtime timeout      unlimited            unlimited            us        

open_fds:
:0:/dev/null
:pos:	0
:flags:	0100000
:1:/home/john/.xsession-errors
:pos:	4633
:flags:	0102002
:2:/home/john/.xsession-errors
:pos:	4633
:flags:	0102002
:3:pipe:[220930]
:pos:	0
:flags:	04000
:4:pipe:[220930]
:pos:	0
:flags:	01
:5:anon_inode:[eventfd]
:pos:	0
:flags:	02004002
:6:socket:[220931]
:pos:	0
:flags:	02004002
:7:socket:[220932]
:pos:	0
:flags:	02004002
:8:/dev/dri/card0
:pos:	0
:flags:	0100002
:9:socket:[220941]
:pos:	0
:flags:	02004002
:10:anon_inode:[eventfd]
:pos:	0
:flags:	02004002
:11:anon_inode:[eventfd]
:pos:	0
:flags:	02004002
:12:anon_inode:[eventfd]
:pos:	0
:flags:	02004002
:13:socket:[220081]
:pos:	0
:flags:	02004002
:14:pipe:[220082]
:pos:	0
:flags:	02004000
:15:pipe:[220082]
:pos:	0
:flags:	02004001
:16:socket:[220086]
:pos:	0
:flags:	02004002
:17:socket:[220088]
:pos:	0
:flags:	02000002
:18:/dev/urandom
:pos:	0
:flags:	02100000
:19:socket:[221096]
:pos:	0
:flags:	02000002
:20:anon_inode:inotify
:pos:	0
:flags:	02004000
:21:/tmp/ffiJv6f8e (deleted)
:pos:	0
:flags:	0100002
:22:socket:[222221]
:pos:	0
:flags:	02004002
:23:socket:[221489]
:pos:	0
:flags:	02004002
:24:socket:[221523]
:pos:	0
:flags:	02004002
:25:socket:[222222]
:pos:	0
:flags:	02004002
:26:/dev/rfkill
:pos:	0
:flags:	0104002
:27:anon_inode:[eventfd]
:pos:	0
:flags:	02004002
:28:anon_inode:inotify
:pos:	0
:flags:	02004000
:29:pipe:[221492]
:pos:	0
:flags:	01
:30:socket:[222318]
:pos:	0
:flags:	02004002
:31:socket:[221866]
:pos:	0
:flags:	02004002
:32:socket:[221875]
:pos:	0
:flags:	02004002

smolt_data:
:
:
:General
:=================================
:UUID: 871c4f26-26f8-4e34-8fee-001958847693
:OS: Fedora release 17 (Beefy Miracle)
:Default run level: Unknown
:Language: en_GB.utf8
:Platform: x86_64
:BogoMIPS: 4189.46
:CPU Vendor: GenuineIntel
:CPU Model: Intel(R) Core(TM)2 Duo CPU     T8100  @ 2.10GHz
:CPU Stepping: 6
:CPU Family: 6
:CPU Model Num: 23
:Number of CPUs: 2
:CPU Speed: 2101
:System Memory: 3946
:System Swap: 9031
:Vendor: LENOVO
:System: 7650DNG ThinkPad R61e
:Form factor: Notebook
:Kernel: 3.4.4-3.fc17.x86_64
:SELinux Enabled: 1
:SELinux Policy: targeted
:SELinux Enforce: Permissive
:MythTV Remote: Unknown
:MythTV Role: Unknown
:MythTV Theme: Unknown
:MythTV Plugin: 
:MythTV Tuner: -1
:
:
:Devices
:=================================
:(32902:10752:6058:8371) pci, agpgart-intel, HOST/PCI, T61
:(5348:5779:6058:8405) pci, tg3, ETHERNET, NetLink BCM5787M Gigabit Ethernet PCI Express
:(32902:10302:6058:8361) pci, i801_smbus, SERIAL, ThinkPad T61
:(32902:10281:6058:8359) pci, ahci, STORAGE, ThinkPad T61
:(32902:10320:6058:8358) pci, ata_piix, STORAGE, ThinkPad T61
:(32902:10261:6058:8357) pci, None, PCI/ISA, 82801HEM (ICH8M) LPC Interface Controller
:(32902:10307:6058:8365) pci, pcieport, PCI/PCI, ThinkPad T61
:(32902:9288:6058:8366) pci, None, PCI/PCI, ThinkPad T61
:(32902:10289:6058:8362) pci, uhci_hcd, USB, ThinkPad T61
:(32902:10288:6058:8362) pci, uhci_hcd, USB, ThinkPad T61
:(32902:10290:6058:8362) pci, uhci_hcd, USB, ThinkPad T61
:(32902:10294:6058:8363) pci, ehci_hcd, USB, ThinkPad T61
:(32902:10298:6058:8363) pci, ehci_hcd, USB, ThinkPad T61
:(32902:16944:32902:4369) pci, iwl4965, NETWORK, Lenovo ThinkPad T61
:(32902:10754:6058:8373) pci, i915, VIDEO, T61
:(32902:10755:6058:8373) pci, None, VIDEO, T61
:(32902:10303:6058:8365) pci, pcieport, PCI/PCI, ThinkPad T61
:(32902:10305:6058:8365) pci, pcieport, PCI/PCI, ThinkPad T61
:(32902:10315:6058:8364) pci, snd_hda_intel, MULTIMEDIA, ThinkPad T61
:(32902:10292:6058:8362) pci, uhci_hcd, USB, ThinkPad T61
:(32902:10293:6058:8362) pci, uhci_hcd, USB, ThinkPad T60
:(4480:1142:6058:8388) pci, yenta_cardbus, PCI/CARDBUS, ThinkPad T61
:
:
:Filesystem Information
:=================================
:device mtpt type bsize frsize blocks bfree bavail file ffree favail
:-------------------------------------------------------------------
:/dev/sda2 / ext4 4096 4096 3576296 2413424 2377606 901120 772603 772603
:/dev/sda9 WITHHELD ext4 4096 4096 6753089 5965600 5627192 1682496 1680123 1680123
:/dev/sda10 /home ext4 4096 4096 5236563 2705740 2443068 1313760 1249333 1249333
:/dev/sda8 WITHHELD ext4 4096 4096 5615263 1554327 1272718 1409024 1407769 1407769
:/dev/sdb3 WITHHELD ext4 4096 4096 75940184 39751135 35949554 19013632 18935604 18935604
:/dev/sdb2 WITHHELD ext4 4096 4096 347984142 167199412 167199412 87089152 87085706 87085706
:/dev/sdb1 WITHHELD fuseblk 4096 4096 64000943 50314227 50314227 201355212 201269600 201269600
:

var_log_messages:
:Jul  1 19:08:03 Lenny gnome-session[864]: DEBUG(+): fill: *** Launching helper 'bash -c 'gnome-shell --help | grep -q gdm-mode && /usr/libexec/gnome-session-check-accelerated'' to know if session is runnable
:Jul  1 19:08:04 Lenny gnome-session[864]: DEBUG(+): GsmUtil: Looking for file 'gnome-shell.desktop'
:Jul  1 19:08:04 Lenny gnome-session[864]: DEBUG(+): GsmUtil: found in XDG dirs: '/usr/share/gdm/greeter/applications/gnome-shell.desktop'
:Jul  1 19:08:04 Lenny gnome-session[864]: DEBUG(+): GsmUtil: Looking for file 'gnome-shell.desktop'
:Jul  1 19:08:04 Lenny gnome-session[864]: DEBUG(+): GsmUtil: found in XDG dirs: '/usr/share/gdm/greeter/applications/gnome-shell.desktop'
:Jul  1 19:08:04 Lenny gnome-session[864]: DEBUG(+): GsmManager: read /usr/share/gdm/greeter/applications/gnome-shell.desktop
:Jul  1 19:08:04 Lenny gnome-session[864]: DEBUG(+): GsmManager: adding required app gnome-shell.desktop
:Jul  1 19:08:04 Lenny gnome-session[864]: DEBUG(+): GsmManager:#011ID: /org/gnome/SessionManager/App1#011app-id:gnome-shell.desktop#011is-disabled:0#011is-conditionally-disabled:0
:Jul  1 19:08:06 Lenny gnome-session[864]: DEBUG(+): GsmAutostartApp: starting gnome-shell.desktop: command=gnome-shell --gdm-mode startup-id=10b1ef209fbbe08f77134116608457878100000008640000
:Jul  1 19:08:06 Lenny gnome-session[864]: DEBUG(+): GsmXSMPClient:   Program = 'gnome-shell'
:Jul  1 19:08:26 Lenny gnome-session[864]: DEBUG(+): GsmXSMPClient: Client '0x10cc160 [gnome-shell 10b1ef209fbbe08f77134116608457878100000008640000]' received SaveYourselfDone(success = True)
:Jul  1 19:08:26 Lenny gnome-session[864]: DEBUG(+): GsmXSMPClient: Client '0x10cc160 [gnome-shell 10b1ef209fbbe08f77134116608457878100000008640000]' received SaveYourselfDone(success = True)
:Jul  1 19:08:26 Lenny gnome-session[864]: DEBUG(+): GsmXSMPClient: xsmp_stop ('0x10cc160 [gnome-shell 10b1ef209fbbe08f77134116608457878100000008640000]')
:Jul  1 19:08:26 Lenny gnome-session[864]: DEBUG(+): GsmXSMPClient: Client '0x10cc160 [gnome-shell 10b1ef209fbbe08f77134116608457878100000008640000]' received CloseConnection
:Jul  1 19:08:26 Lenny gnome-session[864]: DEBUG(+): GsmXSMPClient: xsmp_finalize (0x10cc160 [gnome-shell 10b1ef209fbbe08f77134116608457878100000008640000])
:Jul  1 19:26:26 Lenny yum[1536]: Updated: gnome-shell-3.4.1-5.fc17.x86_64
:Jul  1 20:39:53 Lenny yum[2606]: Installed: gnome-shell-extension-common-3.4.0-1.fc17.noarch
:Jul  1 20:39:53 Lenny yum[2606]: Installed: gnome-shell-extension-user-theme-3.4.0-1.fc17.noarch
:Jul  2 21:04:20 Lenny kernel: [37413.936643] gnome-shell[7922]: segfault at 8 ip 00000039b5424800 sp 00007fffd1736198 error 4 in libgjs.so.0.0.0[39b5400000+39000]
:Jul  2 21:04:22 Lenny abrt[8130]: Saved core dump of pid 7922 (/usr/bin/gnome-shell) to /var/spool/abrt/ccpp-2012-07-02-21:04:20-7922 (158126080 bytes)
:Jul  2 21:04:22 Lenny gnome-session[7718]: WARNING: Application 'gnome-shell.desktop' killed by signal 11

xsession_errors:
:gnome-session[7718]: WARNING: Application 'gnome-shell.desktop' killed by signal 11
:(gnome-shell:8147): St-CRITICAL **: _st_paint_shadow_with_opacity: assertion `shadow_spec != NULL' failed
Comment 1 John H 2012-07-02 17:17:19 EDT
Created attachment 595813 [details]
File: backtrace
Comment 2 John H 2012-07-02 17:17:23 EDT
Created attachment 595814 [details]
File: maps
Comment 3 John H 2012-07-02 17:17:25 EDT
Created attachment 595815 [details]
File: dso_list
Comment 4 Fedora End Of Life 2013-07-03 21:51:01 EDT
This message is a reminder that Fedora 17 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 17. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '17'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 17's end of life.

Bug Reporter:  Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 17 is end of life. If you 
would still like  to see this bug fixed and are able to reproduce it 
against a later version  of Fedora, you are encouraged  change the 
'version' to a later Fedora version prior to Fedora 17's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 5 Fedora End Of Life 2013-08-01 02:47:35 EDT
Fedora 17 changed to end-of-life (EOL) status on 2013-07-30. Fedora 17 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.